#include <iocslib.h>
#include "defines.h"
#include "aiggraph.h"

void sp_to_graph1()
/* 全スプライト取り込み */
{
unsint *spad,cch[16*16];
unint i;
	spad=(unsint *)SPRAM;
	for (i=0;i<128;i++) {
		remake_pat(cch,16,B_WPEEK(spad+2)); /* スプライトは常に１６＊１６ */
		/* スプライト座標はグラフィック座標と違うので修正しておく */
		gr64k(cch,(i%16)*16,(i/16)*16,16,16);
		spad+=4;
	}
}
